Videos

Video Stats

Video statistics

Get overall stats of a video

GET
https://peertube2.cpy.re/api/v1/videos/{id}/stats/overall

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

startDatestring<date-time>query

Filter stats by start date

endDatestring<date-time>query

Filter stats by end date

Response

successful operation

Response fields application/json
averageWatchTimenumber
totalWatchTimenumber
viewersPeaknumber
totalViewersnumber
viewersPeakDatestring<date-time>
countriesArray<object>
Show child attributes
isoCodestring
viewersnumber
subdivisionsArray<object>
Show child attributes
namestring
viewersnumber

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get user agent stats of a video

GET
https://peertube2.cpy.re/api/v1/videos/{id}/stats/user-agent

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

startDatestring<date-time>query

Filter stats by start date

endDatestring<date-time>query

Filter stats by end date

Response

successful operation

Response fields application/json
clientsArray<object>
Show child attributes
namestring
viewersnumber
devicesArray<object>
Show child attributes
nameVideoStatsUserAgentDeviceconsoleembeddedmobilesmarttvtabletwearablexrdesktop
viewersnumber
operatingSystemArray<object>
Show child attributes
namestring
viewersnumber

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get retention stats of a video

GET
https://peertube2.cpy.re/api/v1/videos/{id}/stats/retention

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

Response

successful operation

Response fields application/json
dataArray<object>
Show child attributes
secondnumber
retentionPercentnumber

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.

Get timeserie stats of a video

GET
https://peertube2.cpy.re/api/v1/videos/{id}/stats/timeseries/{metric}

Parameters

idid | UUIDv4 | shortUUIDrequiredpath

The object id, uuid or short uuid

metricstringviewersaggregateWatchTimerequiredpath

The metric to get

startDatestring<date-time>query

Filter stats by start date

endDatestring<date-time>query

Filter stats by end date

Response

successful operation

Response fields application/json
dataArray<object>
Show child attributes
datestring
valuenumber

Authorization

OAuth2oauth2

Authenticating via OAuth requires the following steps:

  • Have an activated account
  • Generate an access token for that account at /api/v1/users/token.
  • Make requests with the Authorization: Bearer <token> header
  • Profit, depending on the role assigned to the account

Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.